For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all service requests
        • GETGet a service request by ID
        • GETGet all service request categories
        • GETGet service request category by ID
        • GETGet all service request history
        • GETGet service request history by ID
        • GETGet all service request priorities
        • GETGet service request priority by ID
        • GETGet all service request statuses
        • GETGet service request status by ID
        • GETGet all service request locations
        • GETGet a service request location by ID
        • GETGet all service request problems
        • GETGet a service request problem by ID
        • POSTCreate a service request for Entrata
        • PUTUpdate Service Request: Entrata
        • POSTCreate Service Request History: Entrata
        • POSTCreate Service Request Files: Entrata
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataService Requests

Get all service requests

GET
/v1/service-requests/
GET
/v1/service-requests/
$curl https://api.propexo.com/v1/service-requests/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "srX123",
18 "x_property_id": "property456",
19 "x_location_id": null,
20 "x_unit_id": null,
21 "x_sub_task_id": null,
22 "access_is_authorized": true,
23 "access_notes": "Access allowed from 9 AM to 5 PM",
24 "building": "Building A",
25 "completion_notes": "Issue resolved",
26 "date_completed": "2024-07-01T00:00:00Z",
27 "date_created": "2024-06-01T00:00:00Z",
28 "date_due": "2024-06-10T00:00:00Z",
29 "date_scheduled": "2024-06-05T00:00:00Z",
30 "service_category": "Plumbing",
31 "service_description": "Fix the leaky faucet",
32 "service_details": "Fixed the leaky faucet in the kitchen",
33 "service_priority": null,
34 "status_raw": null,
35 "vendor_notes": null,
36 "unit_number": "A202",
37 "order_number": null,
38 "integration_id": "clwh5u07w000508me66sfh3um",
39 "integration_vendor": "ENTRATA",
40 "property_id": "clwi5xiix000008l6ctdgafyh",
41 "unit_id": null,
42 "employee_id": "cl7t4tlme0000usxq5zk0e5gl",
43 "vendors": [
44 {
45 "vendor_id": "string"
46 }
47 ],
48 "history": [
49 {
50 "id": "clwktsp9v000008l31iv218hn",
51 "created_at": "2024-03-21T15:38:08.337Z",
52 "updated_at": "2024-03-22T10:59:45.119Z",
53 "last_seen": "2024-03-22T10:59:45.119Z",
54 "x_id": "srnX123",
55 "x_created_at": "2024-06-18T00:00:00Z",
56 "notes": "Follow up on the issue",
57 "creator_name": null,
58 "status_raw": null,
59 "service_request_id": "cl7t4tlme0000usxq5zk0e5gl"
60 }
61 ],
62 "employees": [
63 {
64 "id": "clwktsp9v000008l31iv218hn",
65 "created_at": "2024-03-21T15:38:08.337Z",
66 "updated_at": "2024-03-22T10:59:45.119Z",
67 "last_seen": "2024-03-22T10:59:45.119Z",
68 "x_id": "abc123",
69 "name": "John Doe"
70 }
71 ],
72 "notes": null
73 }
74 ]
75}
Get all service requests
Was this page helpful?
Previous

Get a service request by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
employee_idstringOptional
The Propexo unique identifier for the employee
vendor_idstringOptional
The Propexo unique identifier for the vendor
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record
unit_numberstringOptional

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error